/*
@licstart  The following is the entire license notice for the
JavaScript code in this file.

Copyright (C) 1997-2019 by Dimitri van Heesch

This program is free software; you can redistribute it and/or modify
it under the terms of version 2 of the GNU General Public License as published by
the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License along
with this program; if not, write to the Free Software Foundation, Inc.,
51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

@licend  The above is the entire license notice
for the JavaScript code in this file
*/
var NAVTREE =
[
  [ "Assimp", "index.html", [
    [ "irrXML 1.2 API documentation", "index.html", [
      [ "Introduction", "index.html#intro", null ]
    ] ],
    [ ".ASS File formats", "assfile.html", [
      [ "Overview", "assfile.html#over", null ],
      [ "XML File format", "assfile.html#assxml", null ],
      [ "Binary file format", "assfile.html#assbin", null ]
    ] ],
    [ "Installation", "install.html", [
      [ "Using the pre-built libraries with Visual C++ 8/9", "install.html#install_prebuilt", null ],
      [ "Building the library from scratch", "install.html#install_own", null ],
      [ "Windows DLL Build", "install.html#assimp_dll", null ],
      [ "static lib", "install.html#assimp", null ]
    ] ],
    [ "Usage", "usage.html", [
      [ "Access by C++ class interface", "usage.html#access_cpp", null ],
      [ "Access by plain-c function interface", "usage.html#access_c", null ],
      [ "Using custom IO logic with the C++ class interface", "usage.html#custom_io", null ],
      [ "Using custom IO logic with the plain-c function interface", "usage.html#custom_io_c", null ],
      [ "Logging", "usage.html#logging", null ]
    ] ],
    [ "Data Structures", "data.html", [
      [ "The Node Hierarchy", "data.html#hierarchy", null ],
      [ "Meshes", "data.html#meshes", [
        [ "Materials", "data.html#material", null ]
      ] ],
      [ "Bones", "data.html#bones", null ],
      [ "Animations", "data.html#anims", null ],
      [ "Textures", "data.html#textures", null ]
    ] ],
    [ "Material System", "materials.html", [
      [ "Overview", "materials.html#General", null ],
      [ "Textures", "materials.html#mat_tex", null ],
      [ "Constants", "materials.html#keys", null ],
      [ "C++-API", "materials.html#cpp", null ],
      [ "C-API", "materials.html#C", null ],
      [ "How to map UV channels to textures (MATKEY_UVWSRC)", "materials.html#uvwsrc", null ],
      [ "Pseudo Code Listing", "materials.html#pseudo", null ],
      [ "How to access shader-code from a texture (AI_MATKEY_GLOBAL_SHADERLANG and AI_MATKEY_SHADER_VERTEX, ...)", "materials.html#shdacc", null ]
    ] ],
    [ "Performance", "perf.html", [
      [ "Overview", "perf.html#perf_overview", null ],
      [ "Profiling", "perf.html#perf_profile", null ]
    ] ],
    [ "Threading", "threading.html", [
      [ "Thread-safety / using Assimp concurrently from several threads", "threading.html#threadsafety", null ],
      [ "Internal threading", "threading.html#automt", null ]
    ] ],
    [ "Resources", "res.html", null ],
    [ "Importer Notes", "importer_notes.html", [
      [ "Blender", "importer_notes.html#blender", [
        [ "Overview", "threading.html#overview", null ],
        [ "Overview", "importer_notes.html#bl_overview", null ],
        [ "Current status", "importer_notes.html#bl_status", null ],
        [ "Notes", "importer_notes.html#bl_notes", null ]
      ] ],
      [ "IFC", "importer_notes.html#ifc", [
        [ "Overview", "importer_notes.html#ifc_overview", null ],
        [ "Current status", "importer_notes.html#ifc_status", null ],
        [ "Notes", "importer_notes.html#ifc_notes", null ],
        [ "Metadata", "importer_notes.html#ifc_metadata", null ]
      ] ],
      [ "Ogre", "importer_notes.html#ogre", [
        [ "What will be loaded?", "importer_notes.html#what", null ],
        [ "How to export Files from Blender", "importer_notes.html#export_Blender", null ],
        [ "XML Format", "importer_notes.html#xml", null ],
        [ "Properties", "importer_notes.html#Importer", null ],
        [ "Todo", "importer_notes.html#todo", null ]
      ] ]
    ] ],
    [ "Extending the Library", "extend.html", [
      [ "Properties", "extend.html#properties", null ],
      [ "Notes for text importers", "extend.html#tnote", null ],
      [ "Notes for binary importers", "extend.html#bnote", null ],
      [ "Utilities", "extend.html#util", null ],
      [ "Filling materials", "extend.html#mat", null ],
      [ "Appendix A - Template for BaseImporter's abstract methods", "extend.html#appa", null ]
    ] ],
    [ "Animation Overview", "_animation_overview.html", [
      [ "Transformations", "_animation_overview.html#Transformations", null ]
    ] ],
    [ "'version'-Command", "version.html", null ],
    [ "'help'-Command", "help.html", null ],
    [ "'info'-Command", "iinfo.html", null ],
    [ "'cmpdump'-Command", "cmpdump.html", null ],
    [ "'dump'-Command", "dump.html", null ],
    [ "'extract'-Command", "extract.html", null ],
    [ "Common parameters", "common.html", null ],
    [ "Todo List", "todo.html", null ],
    [ "Deprecated List", "deprecated.html", null ],
    [ "Modules", "modules.html", "modules" ],
    [ "Namespaces", "namespaces.html", [
      [ "Namespace List", "namespaces.html", "namespaces_dup" ],
      [ "Namespace Members", "namespacemembers.html", [
        [ "All", "namespacemembers.html", "namespacemembers_dup" ],
        [ "Functions", "namespacemembers_func.html", "namespacemembers_func" ],
        [ "Variables", "namespacemembers_vars.html", "namespacemembers_vars" ],
        [ "Typedefs", "namespacemembers_type.html", "namespacemembers_type" ],
        [ "Enumerations", "namespacemembers_enum.html", null ],
        [ "Enumerator", "namespacemembers_eval.html", "namespacemembers_eval" ]
      ] ]
    ] ],
    [ "Classes", "annotated.html", [
      [ "Class List", "annotated.html", "annotated_dup" ],
      [ "Class Index", "classes.html", null ],
      [ "Class Hierarchy", "hierarchy.html", "hierarchy" ],
      [ "Class Members", "functions.html", [
        [ "All", "functions.html", "functions_dup" ],
        [ "Functions", "functions_func.html", "functions_func" ],
        [ "Variables", "functions_vars.html", "functions_vars" ],
        [ "Typedefs", "functions_type.html", "functions_type" ],
        [ "Enumerations", "functions_enum.html", null ],
        [ "Enumerator", "functions_eval.html", "functions_eval" ],
        [ "Properties", "functions_prop.html", null ],
        [ "Related Functions", "functions_rela.html", null ]
      ] ]
    ] ],
    [ "Files", "files.html", [
      [ "File List", "files.html", "files_dup" ],
      [ "File Members", "globals.html", [
        [ "All", "globals.html", "globals_dup" ],
        [ "Functions", "globals_func.html", "globals_func" ],
        [ "Variables", "globals_vars.html", "globals_vars" ],
        [ "Typedefs", "globals_type.html", null ],
        [ "Enumerations", "globals_enum.html", null ],
        [ "Enumerator", "globals_eval.html", "globals_eval" ],
        [ "Macros", "globals_defs.html", "globals_defs" ]
      ] ]
    ] ],
    [ "Examples", "examples.html", "examples" ]
  ] ]
];

var NAVTREEINDEX =
[
".html",
"_assbin_loader_8cpp.html#a8926c2edfcda414037894c583701f84b",
"_c_make_c_compiler_id_8c.html#a81dee0709ded976b2e0319239f72d174",
"_exporter_8cpp.html#a017f1d2b68b9c935dd4148c3e9815305",
"_file_system_filter_8h.html#a2951d2325771445312e4d69c7ef03004",
"_i_f_c_reader_gen1__2x3_8cpp.html#a7121bb9e73d1f80ac44c6a8f4a55fc12",
"_i_f_c_reader_gen2__2x3_8cpp.html#a9193036b209138bc9bc2e149fa8692a3",
"_i_f_c_reader_gen__2x3_8h.html#a22e53a3851dbd98e73b5d2df1e5cead1",
"_i_f_c_reader_gen__2x3_8h.html#a6cad3d552d4e22dbc80fb5cace0d4a05",
"_i_f_c_reader_gen__2x3_8h.html#aac68cea381cbceded6f344e40628889d",
"_i_f_c_reader_gen__2x3_8h.html#aedc3cc994f77b776e97f1c30cf46892d",
"_i_f_c_reader_gen__4_8cpp.html#a50c753de7ba1f75971105f82f790528c",
"_i_f_c_reader_gen__4_8cpp.html#abd4f75fd1fa33986083d0acd456444f1",
"_i_f_c_reader_gen__4_8h.html#a1b0bb688b854b3a5f167fb882fc72082",
"_i_f_c_reader_gen__4_8h.html#a4e5cbca68033933a5e10989391625664",
"_i_f_c_reader_gen__4_8h.html#a87a3984ecbcb9007b3adb0fc7bd566b0",
"_i_f_c_reader_gen__4_8h.html#abc0a1458af1a2690c32d1c34b75bd709",
"_i_f_c_reader_gen__4_8h.html#af26806333460b53dd5f0d536849761ed",
"_l_w_o_animation_8h.html#ae88b90391a89cb0fc104f1f05b9e716ea7df8f56b4729bdcf6a00efacae15f21a",
"_m_d3_file_data_8h.html#aeb39df2b5bbb2c7dbef2e76f20fdf587",
"_mesh_renderer_8h.html",
"_ogre_xml_serializer_8cpp.html#a6eaa2f0c9480ecd2692efc5bb5872ddf",
"_ply_loader_8cpp.html#adfc089d3981e0aa52976593a41687283",
"_s_t_l_loader_8h.html",
"_step_file_gen2_8cpp.html#a6e146948b44302c02051528b65c0a6f8",
"_step_file_gen3_8cpp.html#a28441a0357a04c26a89211630327b70c",
"_step_file_gen3_8cpp.html#a963a9e56606d25b811b3eb143bebf5ef",
"_step_reader_gen_8h.html#a011d0846e92e2d446c01cc81d7103962",
"_step_reader_gen_8h.html#a32335f62eedce54066edf7002ae98ced",
"_step_reader_gen_8h.html#a64d817ece8c1ef4bdcac0ee4df53e0b0",
"_step_reader_gen_8h.html#a9a990c8764375bac4087bc3451ed1250",
"_step_reader_gen_8h.html#acf83102656c77467b5fbd68abbb985ac",
"_string_comparison_8h.html#a7514d483377cfe27236bed0eec511fbb",
"api_8d.html#a61ae379d4d7546884e27fc3d30c26e51",
"class3d__viewer_1_1_default_camera.html#afeaaba69a84395ee2300c080ed2cccbd",
"class_assimp_1_1_b_v_h_loader.html#a86beb3477762adc5af1bcbbc64bfbc3c",
"class_assimp_1_1_blender_b_mesh_converter.html#a093d132db2fddd52e9ab0b40d80075ce",
"class_assimp_1_1_collada_parser.html#a014c0ae203f22e25ef8bfdb063aa07d2",
"class_assimp_1_1_d3_m_f_1_1_d3_m_f_opc_package.html#a3edcd886320a474d8551f904e5e9d85f",
"class_assimp_1_1_f_b_x_1_1_camera.html#af5bcc329f5ab2169d700f120a867e6bf",
"class_assimp_1_1_f_b_x_1_1_material.html#aaa4e105f317420a13ada32ceb18bc7a8",
"class_assimp_1_1_find_degenerates_process.html#aa1e5545f95b141034bbd8a3d99df87a2",
"class_assimp_1_1_j_s_o_n_writer.html#a24fee3c729db7e4903a38b19f72ebd12",
"class_assimp_1_1_m_d_l_importer.html#a02b131e58eb34cde491791fe32b9be3a",
"class_assimp_1_1_ogre_1_1_mesh.html#aa01c19f44253bf83f9387c80775f9c2a",
"class_assimp_1_1_p_l_y_1_1_property_instance.html#ad63a8fe30535fa705a3f1e4b1dae2ba3",
"class_assimp_1_1_s_t_l_importer.html#a60a8fcd73ac5c8f5a88f9b2105051b70",
"class_assimp_1_1_texture_transform_step.html#a1cc7926f68517dcffeaca9c53896180f",
"class_assimp_view_1_1_asset_helper.html#a2c57f88494609ab5c3e9658dd6bb4d5d",
"class_c_a_m_f_importer___node_element.html#a951fe1bf04009761c2a58ab0c7aaebc9",
"class_encoded_input_stream_3_01_u_t_f8_3_4_00_01_memory_stream_01_4.html#a45ae1fa4f5bb8295df234fa3ac91ddef",
"class_generic_pointer.html#a524a9921eff68f389a817a20ca7f1d84",
"class_mesh_splitter.html#a7c565f747d94ea3486e6b51d208b6cf8",
"class_scene_preprocessor_test.html#a2a26c0c745f179cad4cc1f581e8111bb",
"classai__regression__ui_1_1_reg_dialog.html#a4ed8abfb1e69ccef5a35b0affddc07f2",
"classfoo_1_1_streamable_template_in_foo.html#aa6e29a9a298014ce74c65423b6985023",
"classgtest__shuffle__test_1_1_g_test_shuffle_unit_test.html#ab9e25e62817f7cdbd32833f9b2be5794",
"classirr_1_1core_1_1string.html#ac510d6a95d7f2a081741e24e505240ad",
"classjassimp_1_1_ai_quaternion.html#a791c5eb44980e446ebed94508f182bed",
"classo3dgc_1_1_f_i_f_o.html#aa05d298132f5fb453fc1498548620e9b",
"classo3dgc_1_1_vector.html#a9873d14ceaf85568e7454e16f52baa3d",
"classpmx_1_1_pmx_joint.html#a999ab4e3f28866f58d441ec69c48c8ba",
"classpmx_1_1_pmx_vertex_skinning_s_d_e_f.html#a2561b9731bb10734c49a6ebe0e5c4372",
"classtesting_1_1_assertion_result.html#a43ae8a260843ce2ff3dc9af262672b8b",
"classtesting_1_1internal_1_1_const_castable.html",
"classtesting_1_1internal_1_1_unit_test_helper.html#a02602d22fb74566dad78c0c9d4f24e78",
"classut_l_w_s_import_export.html",
"common_8py.html#a8441f667816bce34e6100f88a9ea7dfa",
"deprecated.html",
"functions.html",
"gl_t_f2_asset_8h.html#a8cc0d45355d370cb517da2297320cffcaee3196854ab52e1b24671b5b199fbe16",
"globals_defs_r.html",
"gtest-internal-inl_8h.html#a9bd0caf5d16512de38b39599c13ee634",
"gtest-port_8h.html#af429e04f70f9c10f6aa76a5d1ccd389f",
"gtest-test-part_8h.html#a7c88897836b9f492190fb2b9dfa3a327",
"gtest_8h.html#a460d7b998622e332392c1e00be3a60d5",
"gtest__output__test_8py.html#a5fa2201583a11780279aa720dea5dd4e",
"gtest__test__utils_8py.html#a25987e1cd76e93068b2afe6bac909d12",
"gtest__xml__output__unittest___8cc.html#a6ac53dbcf6b02f01cc4f2486db8dd9dc",
"jassimp_8cpp.html#a9b768b302b080efd180af8257300ca30",
"material_8h.html#aec4b15bb56f25baf7434fb2eec4b3cd1",
"miniz_8h.html#a5c1678f38e026eece0171600cb448e1c",
"miniz_8h.html#afb730582952b7ceec73d7dc9bf7bef39a76cd05886b8034f320cb457c03e6641a",
"namespaceirr_1_1io.html",
"o3dgc_common_8h.html#a2a06c37796381cdd48566191bda3f399acd8ec6f1dca390eccf21bb45b02fe07b",
"postprocess_8h.html#a64795260b95f5a4b3f3dc1be4f52e410a8857a0e30688127a82c7b8939958c6dc",
"revision_8h.html#a6b6d22df61d05f723cb10b687eac1234",
"struct_assimp_1_1_a_c3_d_importer_1_1_material.html#ac15664558704bb10a2fbe0133fac5325",
"struct_assimp_1_1_blender_1_1_image.html#a24b9c87d74ee220252c6180fddb7f6b2",
"struct_assimp_1_1_blender_1_1_material.html#a771b0b3e1632cb4ed5c27e774c2ba6e1",
"struct_assimp_1_1_blender_1_1_world.html#a48857238d25ade3601c333b18f7057f1",
"struct_assimp_1_1_collada_1_1_mesh.html",
"struct_assimp_1_1_f_i_decoder.html#a99c1e505f6e273bea510f2a3c83fdce3",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_asset.html#ad72aa1958ef525972ee30cd9e37e4510",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_crane_rail_a_shape_profile_def.html#ad1f494c3e739c6d8bc02b7c5588a8154",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_flow_controller.html",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_path.html#aea4d3e1d00421b365515b98994a418ca",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_representation.html#ab20c7007b634c231629659979c3dd2d3",
"struct_assimp_1_1_i_f_c_1_1_schema__2x3_1_1_ifc_surface_style.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_air_terminal_type.html#aab524b73a7ec2a9460fc8c772e85071e",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_circle_profile_def.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_door_style.html#a38b41df9543b956bc5e0d167be5ded0e",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_flow_storage_device_type.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_offset_curve2_d.html#a0dad38694e3fba64514909efc3ec0bc3",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_rectangle_hollow_profile_def.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_stack_terminal.html",
"struct_assimp_1_1_i_f_c_1_1_schema__4_1_1_ifc_tessellated_item.html#a1e310164e80995f27d58f457534741fd",
"struct_assimp_1_1_intern_1_1minus.html#a02df74284d921423a53a137a81b8508c",
"struct_assimp_1_1_m_d3_1_1_header.html#a92c9e7c1e7219ead60146c373cd4f8b2",
"struct_assimp_1_1_m_d_l_1_1_header.html",
"struct_assimp_1_1_obj_file_1_1_material.html#a355eea17ff887efb3841d2411b4cfc4e",
"struct_assimp_1_1_open_g_e_x_1_1_transform.html",
"struct_assimp_1_1_step_file_1_1action.html#a92717d57c7ce32f8a4a7a824f73f889a",
"struct_assimp_1_1_step_file_1_1background__colour.html#afca4d33013ac7865d39bc5a94d72f1ad",
"struct_assimp_1_1_step_file_1_1composite__sheet__representation.html#a5ebacdeaf4ca3ac4cd0b128a3149f412",
"struct_assimp_1_1_step_file_1_1dimensional__location.html",
"struct_assimp_1_1_step_file_1_1extruded__face__solid__with__multiple__draft__angles.html#a7d86175506aefad5136e8b69d7daf31b",
"struct_assimp_1_1_step_file_1_1light__source__ambient.html#a0df4874b39cb48bdb9f52b0f9e38ab60",
"struct_assimp_1_1_step_file_1_1person__and__organization__assignment.html#a826c06606f46e4bc58be3e9f23cf8419",
"struct_assimp_1_1_step_file_1_1quasi__uniform__surface.html",
"struct_assimp_1_1_step_file_1_1si__magnetic__flux__unit.html#ae539a2ee70eb1b5375fee0b630340360",
"struct_assimp_1_1_step_file_1_1surface__style__control__grid.html#ad58db43b1e9c8a19d80239f59768b136",
"struct_assimp_1_1_step_file_1_1velocity__measure__with__unit.html#a6db85177aac0fcfbd9c280be14b6b422",
"struct_base_reader_handler.html#a3ac69e6326d0aeef7b1f2619742bbe00",
"struct_exception_swallower_3_01void_01_4.html#a851171e6d23d9a166d641ba3477b6df1",
"struct_transcoder.html#a0ea2edfe35784ebf1063921d2bd5fb66",
"structai_material.html#ac21e2db2048df2531053b18f45a9e393",
"structassimp_1_1material_1_1ai_material.html#a54b3b2e508250237304f9bc70a9ea788",
"structgl_t_f2_1_1_node.html#a296f30d7b2456b2937e3602c3b028114",
"structgl_t_f_1_1_mesh_1_1_primitive_1_1_attributes.html#a235b912b514f95f24b20e8860ef6e73c",
"structmz__zip__archive.html#a9d47a170d9f54452fcfe1152c26af40b",
"structtesting_1_1gtest__printers__test_1_1_big.html",
"types_8h.html#ac50fbaa57d78776ca99e42104d9b2786a88929c7834e2026ab642fd84bea2fec7",
"ut_metadata_8cpp.html",
"version_info_8d.html#a7cddbd624a3a4af307526c9ebafa5618"
];

var SYNCONMSG = 'click to disable panel synchronisation';
var SYNCOFFMSG = 'click to enable panel synchronisation';